Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.ui.actions
Class RefreshAction

    java.lang.Object
      org.eclipse.jface.action.Action
          org.eclipse.jdt.ui.actions.SelectionDispatchAction
              org.eclipse.jdt.ui.actions.RefreshAction

All Implemented Interfaces:
  IAction, ISelectionChangedListener

public class RefreshAction
extends SelectionDispatchAction

Action for refreshing the workspace from the local file system for the selected resources and all of their descendents. This action also considers external Jars managed by the Java Model.

Action is applicable to selections containing resources and Java elements down to compilation units.

This class may be instantiated; it is not intended to be subclassed.

Since:
  2.0

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`RefreshAction(IWorkbenchSite site)` Creates a new `RefreshAction`.

Method Summary
`void` | `run(IStructuredSelection selection)` Executes this actions with the given structured selection.
`void` | `selectionChanged(IStructuredSelection selection)` Notifies this action that the given structured selection has changed.

Methods inherited from class org.eclipse.jdt.ui.actions.SelectionDispatchAction
`getSelection, getSelectionProvider, getShell, getSite, run, run, run, run, selectionChanged, selectionChanged, selectionChanged, selectionChanged, update`

Methods inherited from class org.eclipse.jface.action.Action
`addPropertyChangeListener, convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, firePropertyChange, firePropertyChange, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, notifyResult, removeAcceleratorText, removeMnemonics, removePropertyChangeListener, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RefreshAction

    public RefreshAction(IWorkbenchSite site)

  Creates a new `RefreshAction`. The action requires that the selection provided by the site's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `site` - the site providing context information for this action

Method Detail

### selectionChanged

    public void selectionChanged(IStructuredSelection selection)

  Description copied from class: `SelectionDispatchAction`
  Notifies this action that the given structured selection has changed. This default implementation calls `selectionChanged(ISelection selection)`.

  Overrides:
    `selectionChanged` in class `SelectionDispatchAction`
  Parameters:
    `selection` - the new selection

### run

    public void run(IStructuredSelection selection)

  Description copied from class: `SelectionDispatchAction`
  Executes this actions with the given structured selection. This default implementation calls `run(ISelection selection)`.

  Overrides:
    `run` in class `SelectionDispatchAction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.